Skip to main content
POST
/
v1
/
dev
/
user
/
action-items
/
batch
Create Action Items Batch
curl --request POST \
  --url https://api.omi.me/v1/dev/user/action-items/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action_items": [
    {
      "description": "<string>",
      "completed": false,
      "due_at": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "action_items": [
    {
      "completed": true,
      "description": "<string>",
      "id": "<string>",
      "completed_at": "2023-11-07T05:31:56Z",
      "conversation_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "due_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_count": 123
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <omi_developer_api_key>.

Body

application/json
action_items
CreateActionItemRequest · object[]
required

List of action items to create

Maximum array length: 50

Response

Successful Response

action_items
DeveloperActionItem · object[]
required
created_count
integer
required